<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical">
<LinearLayout
    android:layout_width="wrap_content"
    android:layout_height="wrap_content">
    <TextView
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginLeft="16dp"
        android:layout_marginTop="32dp"
        android:gravity="center"
        android:textColor="@color/colorRed"
        android:text = "* "/>
    <TextView
        android:layout_width="62dp"
        android:layout_height="wrap_content"
        android:layout_marginTop="32dp"
        android:gravity="left"
        android:text = "App ID: "/>
    <EditText
        android:id="@+id/et_appid"
        android:layout_width="250dp"
        android:layout_height="wrap_content"
        android:layout_marginTop="32dp"
        android:layout_marginRight="16dp"
        android:gravity="center"
        android:hint="输入您的App ID"
        android:textSize="12sp"/>
</LinearLayout>

    <LinearLayout
        android:layout_width="wrap_content"
        android:layout_height="wrap_content">
        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="16dp"
            android:layout_marginTop="32dp"
            android:gravity="center"
            android:textColor="@color/colorRed"
            android:text = "* "/>
        <TextView
            android:layout_width="62dp"
            android:layout_height="wrap_content"
            android:layout_marginTop="32dp"
            android:gravity="left"
            android:text = "Channel: "/>
        <EditText
        android:id="@+id/et_channel_name"
        android:layout_width="250dp"
        android:layout_height="wrap_content"
        android:layout_marginTop="32dp"
        android:gravity="center"
        android:hint="输入您的频道名，请不要含有中文"
            android:textSize="12sp"/>
    </LinearLayout>

    <LinearLayout
        android:layout_width="wrap_content"
        android:layout_height="wrap_content">
        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="16dp"
            android:layout_marginTop="32dp"
            android:gravity="center"
            android:textColor="@color/colorRed"
            android:text = "* "/>
        <TextView
            android:layout_width="62dp"
            android:layout_height="wrap_content"
            android:layout_marginTop="32dp"
            android:gravity="left"
            android:text = "UID: "/>
        <EditText
            android:id="@+id/et_uid"
            android:layout_width="250dp"
            android:layout_height="wrap_content"
            android:layout_marginTop="32dp"
            android:layout_marginRight="16dp"
            android:gravity="center"
            android:hint="输入您的uid(默认0)"
            android:text="0"
            android:editable="false"
            android:textSize="12sp"/>
    </LinearLayout>

    <LinearLayout
        android:layout_width="wrap_content"
        android:layout_height="wrap_content">
        <TextView
            android:layout_width="70dp"
            android:layout_height="wrap_content"
            android:layout_marginLeft="16dp"
            android:layout_marginTop="32dp"
            android:gravity="left"
            android:text = "Token: "/>
        <EditText
            android:id="@+id/et_temp_token"
            android:layout_width="250dp"
            android:layout_height="wrap_content"
            android:layout_marginTop="32dp"
            android:layout_marginRight="16dp"
            android:gravity="center"
            android:hint="输入您的临时Token(可选)"
            android:textSize="12sp"/>
    </LinearLayout>

    <LinearLayout
        android:layout_width="wrap_content"
        android:layout_height="wrap_content">
        <TextView
            android:layout_width="70dp"
            android:layout_height="wrap_content"
            android:layout_marginLeft="16dp"
            android:layout_marginTop="32dp"
            android:gravity="left"
            android:text = "RTMP URL: "/>
    <EditText
        android:id="@+id/et_publish_url"
        android:layout_width="250dp"
        android:layout_height="wrap_content"
        android:layout_gravity="center"
        android:layout_marginTop="16dp"
        android:layout_marginRight="16dp"
        android:gravity="center"
        android:hint="输入您的旁路推流地址(可选)"
        android:textSize="12sp" />
    </LinearLayout>

    <LinearLayout
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="20dp"
        android:layout_gravity="center_horizontal">
        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content">
            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="5dp"
                android:gravity="center"
                android:textColor="@color/colorPrimaryDark"
                android:text = "角色: "/>
        </LinearLayout>
        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content">
            <RadioGroup
                android:id="@+id/rg_role"
                android:layout_width="match_parent"
                android:layout_height="wrap_content">
                <RadioButton
                    android:id="@+id/rb_broadcast"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:checked="true"
                    android:text="主播"/>
                <RadioButton
                    android:id="@+id/rb_audience"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="观众"/>
            </RadioGroup>
        </LinearLayout>

    </LinearLayout>

    <!--<TextView-->
        <!--android:layout_width="wrap_content"-->
        <!--android:layout_height="wrap_content"-->
        <!--android:layout_gravity="center"-->
        <!--android:layout_margin="16dp"-->
        <!--android:gravity="center"-->
        <!--android:text="input your param to replace the default!!" />-->
    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="horizontal"
        android:layout_marginTop="50dp"
        android:gravity="center">

        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center|bottom"
            android:orientation="vertical"
            android:onClick="onJoinClicked">
            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="5dp"
                android:src="@drawable/joinroom"/>
            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="-2dp"
                android:layout_gravity="center"
                android:text="加入房间" />

        </LinearLayout>

        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center|bottom"
            android:orientation="vertical"
            android:layout_marginLeft="5dp"
            android:onClick="onScreenClicked">
            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="5dp"
                android:src="@mipmap/phone"/>
            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="-2dp"
                android:layout_gravity="center"
                android:text="录屏直播" />

        </LinearLayout>
    </LinearLayout>

    <LinearLayout
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_gravity="center|bottom"
        android:orientation="vertical"
        android:layout_marginTop="60dp"
        android:onClick="onReadme">
        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="-2dp"
            android:layout_gravity="center"
            android:textColor="@color/colorPrimary"
            android:text="使用说明" />

    </LinearLayout>
</LinearLayout>
